#version 330

uniform vec3 color;
uniform float action_id;

// interpolated values from the vertex shaders
in vec3 n_camera; // normalized!

layout(location = 0) out vec4 diffuse_color; // color plus action ID as alpha component
layout(location = 1) out vec3 normal; // in camera space

void main(void)
{
	diffuse_color = vec4(color, action_id);

	// values of the normal vector have to be between [0, 1]
	normal = (n_camera + 1) / 2;
}
