#version 330

uniform sampler2D color_texture;
uniform sampler2D normals_texture;
uniform sampler2D depth_texture;

out vec4 fragment_color;

void main(void) {
	vec3 diffuse_color = texelFetch(color_texture, ivec2(gl_FragCoord), 0).rgb;
	vec3 normal = texelFetch(normals_texture, ivec2(gl_FragCoord), 0).rgb * 2 - 1;

	float dp = clamp(dot(normal, vec3(0, 0, 1)), 0.3, 1);
	fragment_color = vec4(diffuse_color * dp, 1);
}
